WP1ContentListener Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP1ContentListener Class Reference

`#include <WP1ContentListener.h>`

Inheritance diagram for WP1ContentListener:

## Public Member Functions
| WP1ContentListener (std::list< WPXPageSpan > &pageList, librevenge::RVNGTextInterface *documentInterface)
| ~WP1ContentListener () override
void | startDocument () override
void | startSubDocument () override
void | insertCharacter (unsigned character) override
void | insertExtendedCharacter (unsigned char extendedCharacter) override
void | insertTab () override
void | insertBreak (unsigned char breakType) override
void | insertEOL () override
void | insertNote (WPXNoteType noteType, WP1SubDocument *subDocument) override
void | attributeChange (bool isOn, unsigned char attribute) override
void | fontPointSize (unsigned char pointSize) override
void | fontId (unsigned short id) override
void | marginReset (unsigned short leftMargin, unsigned short rightMargin) override
void | topMarginSet (unsigned short) override
void | bottomMarginSet (unsigned short) override
void | leftIndent (unsigned short leftMarginOffset) override
void | leftRightIndent (unsigned short leftRightMarginOffset) override
void | leftMarginRelease (unsigned short release) override
void | setTabs (const std::vector< WPXTabStop > &tabStops) override
void | headerFooterGroup (unsigned char headerFooterDefinition, const std::shared_ptr< WP1SubDocument > &subDocument) override
void | suppressPageCharacteristics (unsigned char) override
void | justificationChange (unsigned char justification) override
void | lineSpacingChange (unsigned char spacing) override
void | flushRightOn () override
void | flushRightOff () override
void | centerOn () override
void | centerOff () override
void | endDocument () override
void | endSubDocument () override
void | insertPicture (unsigned short width, unsigned short height, const librevenge::RVNGBinaryData &binaryData) override
Public Member Functions inherited from WP1Listener
| WP1Listener ()
virtual | ~WP1Listener ()

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice=0) override
void | _flushText () override
void | _changeList () override
void | lineSpacingChange (const double lineSpacing)
Protected Member Functions inherited from WPXContentListener
| WPXContentListener (std::list< WPXPageSpan > &pageList, librevenge::RVNGTextInterface *documentInterface)
| ~WPXContentListener () override
void | startDocument ()
void | startSubDocument ()
void | endDocument ()
void | endSubDocument ()
void | handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice)
| Creates an new document state. More...
void | insertBreak (const unsigned char breakType)
void | lineSpacingChange (const double lineSpacing)
void | justificationChange (const unsigned char justification)
void | _openSection ()
void | _closeSection ()
void | _openPageSpan ()
void | _closePageSpan ()
void | _appendParagraphProperties (librevenge::RVNGPropertyList &propList, const bool isListElement=false)
void | _getTabStops (librevenge::RVNGPropertyListVector &tabStops)
void | _appendJustification (librevenge::RVNGPropertyList &propList, int justification)
void | _resetParagraphState (const bool isListElement=false)
virtual void | _openParagraph ()
void | _closeParagraph ()
void | _openListElement ()
void | _closeListElement ()
void | _openSpan ()
void | _closeSpan ()
void | _openTable ()
void | _closeTable ()
void | _openTableRow (const double height, const bool isMinimumHeight, const bool isHeaderRow)
void | _closeTableRow ()
void | _openTableCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment)
void | _closeTableCell ()
double | _movePositionToFirstColumn (double position)
double | _getNextTabStop () const
double | _getPreviousTabStop () const
void | _insertText (const librevenge::RVNGString &textBuffer)
void | _insertBreakIfNecessary (librevenge::RVNGPropertyList &propList)
void | _insertPageNumberParagraph (WPXPageNumberPosition position, WPXNumberingType type, librevenge::RVNGString fontName, double fontSize)
unsigned | _mapNonUnicodeCharacter (unsigned character)
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP1ContentListener (const WP1ContentListener &)
WP1ContentListener & | operator= (WP1ContentListener &)

## Private Attributes
std::unique_ptr< WP1ContentParsingState > | m_parseState

## Additional Inherited Members
Protected Attributes inherited from WPXContentListener
std::unique_ptr< WPXContentParsingState > | m_ps
librevenge::RVNGTextInterface * | m_documentInterface
librevenge::RVNGPropertyList | m_metaData
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

## ◆ WP1ContentListener() [1/2]

WP1ContentListener::WP1ContentListener | ( | std::list< WPXPageSpan > & | pageList,
|  | librevenge::RVNGTextInterface * | documentInterface
| ) |  |

## ◆ ~WP1ContentListener()

WP1ContentListener::~WP1ContentListener | ( |  | ) |
| override

## ◆ WP1ContentListener() [2/2]

WP1ContentListener::WP1ContentListener | ( | const WP1ContentListener & |  | ) |
| private

## Member Function Documentation

## ◆ _changeList()

void WP1ContentListener::_changeList | ( |  | ) |
| inlineoverrideprotectedvirtual

Implements WPXContentListener.

Referenced by _handleSubDocument().

## ◆ _flushText()

void WP1ContentListener::_flushText | ( |  | ) |
| overrideprotectedvirtual

Implements WPXContentListener.

Referenced by insertNote(), and insertTab().

## ◆ _handleSubDocument()

void WP1ContentListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | unsigned | nextTableIndice = `0`
| ) |  |
| overrideprotectedvirtual

Implements WPXContentListener.

## ◆ attributeChange()

void WP1ContentListener::attributeChange | ( | bool | isOn,
|  | unsigned char | attribute
| ) |  |
| overridevirtual

Implements WP1Listener.

## ◆ bottomMarginSet()

void WP1ContentListener::bottomMarginSet | ( | unsigned short |  | ) |
| inlineoverridevirtual

Implements WP1Listener.

## ◆ centerOff()

void WP1ContentListener::centerOff | ( |  | ) |
| inlineoverridevirtual

Implements WP1Listener.

## ◆ centerOn()

void WP1ContentListener::centerOn | ( |  | ) |
| overridevirtual

Implements WP1Listener.

## ◆ endDocument()

void WP1ContentListener::endDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP1Listener.

## ◆ endSubDocument()

void WP1ContentListener::endSubDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP1Listener.

Referenced by WP1Parser::parseSubDocument().

## ◆ flushRightOff()

void WP1ContentListener::flushRightOff | ( |  | ) |
| inlineoverridevirtual

Implements WP1Listener.

## ◆ flushRightOn()

void WP1ContentListener::flushRightOn | ( |  | ) |
| overridevirtual

Implements WP1Listener.

## ◆ fontId()

void WP1ContentListener::fontId | ( | unsigned short | id | ) |
| overridevirtual

Implements WP1Listener.

## ◆ fontPointSize()

void WP1ContentListener::fontPointSize | ( | unsigned char | pointSize | ) |
| overridevirtual

Implements WP1Listener.

## ◆ headerFooterGroup()

void WP1ContentListener::headerFooterGroup | ( | unsigned char | headerFooterDefinition,
|  | const std::shared_ptr< WP1SubDocument > & | subDocument
| ) |  |
| overridevirtual

Implements WP1Listener.

## ◆ insertBreak()

void WP1ContentListener::insertBreak | ( | unsigned char | breakType | ) |
| inlineoverridevirtual

Implements WP1Listener.

## ◆ insertCharacter()

void WP1ContentListener::insertCharacter | ( | unsigned | character | ) |
| overridevirtual

Implements WP1Listener.

## ◆ insertEOL()

void WP1ContentListener::insertEOL | ( |  | ) |
| overridevirtual

Implements WP1Listener.

## ◆ insertExtendedCharacter()

void WP1ContentListener::insertExtendedCharacter | ( | unsigned char | extendedCharacter | ) |
| overridevirtual

Implements WP1Listener.

## ◆ insertNote()

void WP1ContentListener::insertNote | ( | WPXNoteType | noteType,
|  | WP1SubDocument * | subDocument
| ) |  |
| overridevirtual

Implements WP1Listener.

## ◆ insertPicture()

void WP1ContentListener::insertPicture | ( | unsigned short | width,
|  | unsigned short | height,
|  | const librevenge::RVNGBinaryData & | binaryData
| ) |  |
| overridevirtual

Implements WP1Listener.

## ◆ insertTab()

void WP1ContentListener::insertTab | ( |  | ) |
| overridevirtual

Implements WP1Listener.

Referenced by centerOn(), flushRightOn(), leftIndent(), and leftRightIndent().

## ◆ justificationChange()

void WP1ContentListener::justificationChange | ( | unsigned char | justification | ) |
| overridevirtual

Implements WP1Listener.

## ◆ leftIndent()

void WP1ContentListener::leftIndent | ( | unsigned short | leftMarginOffset | ) |
| overridevirtual

Implements WP1Listener.

## ◆ leftMarginRelease()

void WP1ContentListener::leftMarginRelease | ( | unsigned short | release | ) |
| overridevirtual

Implements WP1Listener.

## ◆ leftRightIndent()

void WP1ContentListener::leftRightIndent | ( | unsigned short | leftRightMarginOffset | ) |
| overridevirtual

Implements WP1Listener.

## ◆ lineSpacingChange() [1/2]

void WP1ContentListener::lineSpacingChange | ( | unsigned char | spacing | ) |
| inlineoverridevirtual

Implements WP1Listener.

## ◆ lineSpacingChange() [2/2]

void WPXContentListener::lineSpacingChange
| protected

## ◆ marginReset()

void WP1ContentListener::marginReset | ( | unsigned short | leftMargin,
|  | unsigned short | rightMargin
| ) |  |
| overridevirtual

Implements WP1Listener.

## ◆ operator=()

WP1ContentListener& WP1ContentListener::operator= | ( | WP1ContentListener & |  | ) |
| private

## ◆ setTabs()

void WP1ContentListener::setTabs | ( | const std::vector< WPXTabStop > & | tabStops | ) |
| overridevirtual

Implements WP1Listener.

## ◆ startDocument()

void WP1ContentListener::startDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP1Listener.

## ◆ startSubDocument()

void WP1ContentListener::startSubDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP1Listener.

Referenced by WP1Parser::parseSubDocument().

## ◆ suppressPageCharacteristics()

void WP1ContentListener::suppressPageCharacteristics | ( | unsigned char |  | ) |
| inlineoverridevirtual

Implements WP1Listener.

## ◆ topMarginSet()

void WP1ContentListener::topMarginSet | ( | unsigned short |  | ) |
| inlineoverridevirtual

Implements WP1Listener.

## Member Data Documentation

## ◆ m_parseState

std::unique_ptr<WP1ContentParsingState> WP1ContentListener::m_parseState
| private

Referenced by _flushText(), _handleSubDocument(), centerOn(), flushRightOn(), insertCharacter(), insertEOL(), insertExtendedCharacter(), insertNote(), insertTab(), leftIndent(), leftMarginRelease(), and leftRightIndent().

The documentation for this class was generated from the following files:

- WP1ContentListener.h
- WP1ContentListener.cpp